#don't provide plugin .so
%define _exclude_files_from_autoprov %{_libdir}/geany/.*\\.so

%define major   0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           geany
Version:        1.37.1
Release:        %mkrel 1
Summary:        Small C editor using GTK+
Group:          Development/C
License:        GPLv2+
URL:            https://www.geany.org
Source0:        http://download.geany.org/%{name}-%{version}.tar.bz2

# The following tags file archive retrieved on 2020-11-17
# from geany wiki: http://wiki.geany.org/tags/start
Source10:       geany-tags.tar.bz2

BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  desktop-file-utils
BuildRequires:  doxygen
BuildRequires:  intltool

Requires:       xterm

%description
Geany is a small C editor using GTK+ 2 with basic features of an
integrated development environment. It features syntax highlighting,
code completion, call tips, many supported filetypes (including C,
Java, PHP, HTML, DocBook, Perl, LateX, and Bash), and symbol lists.

%package -n %{libname}
Summary:        Geany's shared library
Group:          Development/C

%description -n %{libname}
This package contains Geany's shared library.

%package -n %{devname}
Summary:        Development files for Geany's library
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the header files and pkg-config file needed for
building Geany plug-ins. You do not need to install this package
to use Geany.

%prep
%autosetup -p1 -a 10

%build
%configure \
    --enable-gtk3
%make_build

%install
%make_install

# research locale file
%find_lang %{name}

# prepare menu
# we remove the key "Version" and "Encoding" because it's invalid
desktop-file-install --vendor="" \
    --remove-category="Application" \
    --add-category="GNOME" \
    --remove-key="Version" \
    --remove-key="Encoding" \
    --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# Install tags files
mkdir -p %{buildroot}%{_datadir}/%{name}/tags/
install -Dpm644 tags/* %{buildroot}%{_datadir}/%{name}/tags/

#we don't want these
find %{buildroot} -name "*.la" -delete

#Empty .bas file needed for geany to give FreeBASIC support (mga#8856)
touch %{buildroot}%{_datadir}/%{name}/templates/files/program.bas

%files -f %{name}.lang
%doc %{_docdir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/classviewer*.png
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_iconsdir}/hicolor/*/actions/%{name}-*
%{_iconsdir}/Tango/*/actions/geany-save-all.*
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.*

#plugins
%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/classbuilder.so
%{_libdir}/%{name}/export.so
%{_libdir}/%{name}/filebrowser.so
%{_libdir}/%{name}/htmlchars.so
%{_libdir}/%{name}/saveactions.so
%{_libdir}/%{name}/splitwindow.so

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{devname}
%doc HACKING TODO
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Tue Nov 17 2020 akien <akien> 1.37.1-1.mga8
+ Revision: 1646828
- Version 1.37.1
- Update tags

* Tue Nov 03 2020 akien <akien> 1.37-1.mga8
+ Revision: 1642194
- Version 1.37

* Sun Feb 16 2020 umeabot <umeabot> 1.36-2.mga8
+ Revision: 1534235
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 29 2019 daviddavid <daviddavid> 1.36-1.mga8
+ Revision: 1447942
- new version: 1.36

* Wed May 01 2019 akien <akien> 1.35-1.mga7
+ Revision: 1396006
- Ensure a GTK+3 build
- Version 1.35

* Sat Feb 23 2019 wally <wally> 1.34.1-2.mga7
+ Revision: 1369532
- switch to gtk3
- drop old obsoletes

* Sun Jan 06 2019 daviddavid <daviddavid> 1.34.1-1.mga7
+ Revision: 1350025
- new version: 1.34.1

* Mon Dec 17 2018 daviddavid <daviddavid> 1.34-1.mga7
+ Revision: 1342465
- new version: 1.34

* Sun Sep 23 2018 umeabot <umeabot> 1.33-3.mga7
+ Revision: 1297847
- Mageia 7 Mass Rebuild

* Thu Mar 08 2018 daviddavid <daviddavid> 1.33-2.mga7
+ Revision: 1207353
- switch back to GTK+ 2 as some geany plugins are not yet ported to GTK+ 3

* Sat Mar 03 2018 daviddavid <daviddavid> 1.33-1.mga7
+ Revision: 1206254
- new version: 1.33
- switch to GTK+ 3

* Sat Jul 22 2017 akien <akien> 1.31-1.mga7
+ Revision: 1126422
- Version 1.31

* Wed Mar 22 2017 akien <akien> 1.30.1-1.mga6
+ Revision: 1094253
- Version 1.30.1

* Sat Mar 11 2017 akien <akien> 1.30-1.mga6
+ Revision: 1091872
- Version 1.30

* Sun Nov 13 2016 akien <akien> 1.29-1.mga6
+ Revision: 1067088
- Version 1.29

* Thu Jul 28 2016 akien <akien> 1.28-1.mga6
+ Revision: 1043829
- Version 1.28
- Update ctags tarball from wiki

* Sun Mar 13 2016 akien <akien> 1.27-1.mga6
+ Revision: 990379
- Version 1.27

* Wed Jan 13 2016 akien <akien> 1.26-1.mga6
+ Revision: 922331
- Version 1.26
- Now provides libgeany.so.0, so use proper libification

* Wed Oct 15 2014 umeabot <umeabot> 1.24.1-3.mga5
+ Revision: 744578
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.24.1-2.mga5
+ Revision: 679468
- Mageia 5 Mass Rebuild

* Fri Apr 25 2014 wally <wally> 1.24.1-1.mga5
+ Revision: 617926
- new version 1.24.1
- update tags source tarball
- don't provide plugin .so

* Wed Feb 05 2014 stormi <stormi> 1.23.1-3.mga5
+ Revision: 583826
- add FreeBASIC template (mga#8856), thanks to AlexL

* Sat Oct 19 2013 umeabot <umeabot> 1.23.1-2.mga4
+ Revision: 523664
- Mageia 4 Mass Rebuild

* Fri May 24 2013 kharec <kharec> 1.23.1-1.mga4
+ Revision: 425881
- update to 1.23.1

* Thu May 23 2013 kharec <kharec> 1.23-1.mga4
+ Revision: 425126
- update to 1.23

* Fri Jan 11 2013 umeabot <umeabot> 1.22-2.mga3
+ Revision: 351170
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 wally <wally> 1.22-1.mga3
+ Revision: 306703
- new version 1.22
- download and update tags from upstream wiki
- clean .spec a bit

* Thu Aug 18 2011 wally <wally> 0.20-2.mga2
+ Revision: 134310
- split out devel files from main package
  (they're not needed to run Geany)
- add api-docs to -devel package
- update tags files (partially from Fedora)
- require xterm (mga#2431)

* Wed May 04 2011 ennael <ennael> 0.20-1.mga1
+ Revision: 94741
- clean spec file
- imported package geany

